org.eclipse.incquery.patternlanguage.patternLanguage

## Interface PathExpressionElement

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Subinterfaces:
    PathExpressionHead, PathExpressionTail
  All Known Implementing Classes:
    PathExpressionElementImpl, PathExpressionHeadImpl, PathExpressionTailImpl

      public interface PathExpressionElement
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Path Expression Element'.

  The following features are supported:

  - `Type`
  - `Tail`
  See Also:
    `PatternLanguagePackage.getPathExpressionElement()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `PathExpressionTail` | `getTail()` Returns the value of the 'Tail' containment reference.
    `Type` | `getType()` Returns the value of the 'Type' containment reference.
    `void` | `setTail(PathExpressionTail value)` Sets the value of the '`Tail`' containment reference.
    `void` | `setType(Type value)` Sets the value of the '`Type`' containment reference.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getType

          Type getType()

      Returns the value of the 'Type' containment reference.

      If the meaning of the 'Type' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Type' containment reference.
      See Also:
        `setType(Type)`, `PatternLanguagePackage.getPathExpressionElement_Type()`

    - #### setType

          void setType(Type value)

      Sets the value of the '`Type`' containment reference.
      Parameters:
        `value` - the new value of the 'Type' containment reference.
      See Also:
        `getType()`

    - #### getTail

          PathExpressionTail getTail()

      Returns the value of the 'Tail' containment reference.

      If the meaning of the 'Tail' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Tail' containment reference.
      See Also:
        `setTail(PathExpressionTail)`, `PatternLanguagePackage.getPathExpressionElement_Tail()`

    - #### setTail

          void setTail(PathExpressionTail value)

      Sets the value of the '`Tail`' containment reference.
      Parameters:
        `value` - the new value of the 'Tail' containment reference.
      See Also:
        `getTail()`